<?xml version="1.0" encoding="UTF-8"?>
<doctrine-mapping>
    <entity name="App\Infrastructure\SharedKernel\Authentication\Query\Doctrine\Model\PasswordReminder"
            table="authentication__password_reminders">

        <id name="passwordReminderId" type="authentication__password_reminder_id" column="id"/>

        <field
                name="userId"
                type="authentication__user_id"
        />
        <field
                name="token"
                type="token"
                column="token"
                length="64"
        />
        <field
                name="expiresAt"
                type="datetime_immutable"
        />
        <field
                name="createdAt"
                type="datetime_immutable"
        />
    </entity>
</doctrine-mapping>